---
# This ansible-playbook prepares productive
# servers for reboot.
#
# What it does:
#   stop all services in need of manual stop
#
# It will normally be run with ``ask-pass``
#
# Sample:
#
#   $ ansible-playbook -i host -K -l h5.waeup.org playbook-prep-reboot.yml
#
- hosts: h5.waeup.org
  become: yes
  become_user: root
  tasks:
  - name: try something
    become_user: uli
    command: touch /home/uli/mytouch

  #- name: Stop scientific african
  #    - user henrik
  #    - /home/henrik/zope/instances/sciafr/bin/zopectl stop
  #- name: Stop uniben-staff
  #    - user henrik
  #    - /data/srp/instances/uniben-staff/bin/zopectl stop
  #- name: Stop odoo
  #    - user root
  #    - service odoo-server stop
  #- name: Stop ngren plone
  #    - user plone
  #    - /data/plone/ngren/bin/instance stop
  #- name: Stop waeup plone
  #    - user plone
  #    - /data/plone/waeup/bin/instance stop

#- hosts: h6.waeup.org
#  remote_user: root
#  tasks:
#  - name: Stop Ikoba PCN instance
#    user: ikoba
#    /ikoba/pcn/bin/ikobactl stop
#  - name: Stop Kofa instances
#    user: kofa
#    /kofa/scripts/kofactl_all.sh stop

#- hosts: h7.waeup.org
#  remote_user: root
#  tasks:
#  - name: Stop Kofa instances
#    user: kofa
#    /kofa/scripts/kofactl_all.sh stop
